%define name    php5-date_time
%define version 5.0.2
%define rversion 0.1
%define release 1mdk

%define modname date
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A14_%{modname}.ini

Summary:	Date and time extension module for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/date_time
License:	PHP License
Source0:	date_time-%{rversion}.tar.bz2
BuildRequires:  php5-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Date is a collection of functions and classes to deal with dates.
Support for date outside the UNIX date limitations. It provides
a lot of convenience functions/methods.

%prep

%setup -q -n date_time-%{rversion}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc docs tests AUTHORS README.INTERNALS README.USERS TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.1-1mdk
- rebuilt for php-5.0.2

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.1-1mdk
- initial mandrake package
